My Project: dgMemoryAllocator Class Reference

My Project

Classes | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
dgMemoryAllocator Class Reference

`#include <dgMemory.h>`

Inheritance diagram for dgMemoryAllocator:

## Classes

class | dgMemDirectory
class | dgMemoryBin
class | dgMemoryCacheEntry
class | dgMemoryInfo

## Public Member Functions

| dgMemoryAllocator ()
| ~dgMemoryAllocator ()
void * | operator new (size_t size)
void | operator delete (void *const ptr)
dgInt32 | GetMemoryUsed () const
void | SetAllocatorsCallback (dgMemAlloc memAlloc, dgMemFree memFree)
void * | MallocLow (dgInt32 size, dgInt32 alignment=DG_MEMORY_GRANULARITY)
void | FreeLow (void *const retPtr)
void * | Malloc (dgInt32 memsize)
void | Free (void *const retPtr)

## Protected Member Functions

| dgMemoryAllocator (dgMemAlloc memAlloc, dgMemFree memFree)

## Protected Attributes

dgInt32 | m_emumerator
dgInt32 | m_memoryUsed
dgMemFree | m_free
dgMemAlloc | m_malloc
dgMemDirectory | m_memoryDirectory [DG_MEMORY_BIN_ENTRIES+1]

## Constructor & Destructor Documentation

## § dgMemoryAllocator() [1/2]

dgMemoryAllocator::dgMemoryAllocator | ( |  | ) |

## § ~dgMemoryAllocator()

dgMemoryAllocator::~dgMemoryAllocator | ( |  | ) |

## § dgMemoryAllocator() [2/2]

dgMemoryAllocator::dgMemoryAllocator | ( | dgMemAlloc | memAlloc,
|  | dgMemFree | memFree
| ) |  |

protected

## Member Function Documentation

## § Free()

void dgMemoryAllocator::Free | ( | void *const | retPtr | ) |

## § FreeLow()

void dgMemoryAllocator::FreeLow | ( | void *const | retPtr | ) |

## § GetMemoryUsed()

dgInt32 dgMemoryAllocator::GetMemoryUsed | ( |  | ) | const

## § Malloc()

void * dgMemoryAllocator::Malloc | ( | dgInt32 | memsize | ) |

## § MallocLow()

void * dgMemoryAllocator::MallocLow | ( | dgInt32 | size,
|  | dgInt32 | alignment = `DG_MEMORY_GRANULARITY`
| ) |  |

## § operator delete()

void dgMemoryAllocator::operator delete | ( | void *const | ptr | ) |

## § operator new()

void * dgMemoryAllocator::operator new | ( | size_t | size | ) |

## § SetAllocatorsCallback()

void dgMemoryAllocator::SetAllocatorsCallback | ( | dgMemAlloc | memAlloc,
|  | dgMemFree | memFree
| ) |  |

## Member Data Documentation

## § m_emumerator

dgInt32 dgMemoryAllocator::m_emumerator

protected

## § m_free

dgMemFree dgMemoryAllocator::m_free

protected

## § m_malloc

dgMemAlloc dgMemoryAllocator::m_malloc

protected

## § m_memoryDirectory

dgMemDirectory dgMemoryAllocator::m_memoryDirectory[DG_MEMORY_BIN_ENTRIES+1]

protected

## § m_memoryUsed

dgInt32 dgMemoryAllocator::m_memoryUsed

protected

The documentation for this class was generated from the following files:

- dynamics.mod/NewtonDynamics/source/core/dgMemory.h
- dynamics.mod/NewtonDynamics/source/core/dgMemory.cpp